## r-cran-pscbs 0.62.0

=== DESCRIPTION ===
Package: PSCBS
Version: 0.62.0
Depends:
  R (>= 3.1.2),
  utils
Imports:
  R.methodsS3 (>= 1.7.1),
  R.oo (>= 1.21.0),
  R.utils (>= 2.5.0),
  R.cache (>= 0.12.0),
  matrixStats (>= 0.51.0),
  DNAcopy (>= 1.40.0),
  listenv (>= 0.6.0),
  future (>= 1.1.1),
  parallel
Suggests:
  Hmisc (>= 3.16-0),
  R.rsp (>= 0.30.0),
  R.devices (>= 2.15.0),
  ggplot2 (>= 1.0.1),
  aroma.light (>= 2.2.1)
SuggestsNote:
  BioC (>= 3.0),
  Recommended:
  Hmisc,
  aroma.light
VignetteBuilder: R.rsp
Date: 2016-11-10
Title: Analysis of Parent-Specific DNA Copy Numbers
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                 email="henrikb@braju.com"),
  person("Pierre", "Neuvial", role="aut"),
  person("Venkatraman E.", "Seshan", role="aut"),
  person("Adam B.", "Olshen", role="aut"),
  person("Paul T.", "Spellman", role="aut"),
  person("Richard A.", "Olshen", role="aut"))
Description: Segmentation of allele-specific DNA copy number data and detection of regions with abnormal copy number within each parental chromosome.  Both tumor-normal paired and tumor-only analyses are supported.
License: GPL (>= 2)
LazyLoad: TRUE
ByteCompile: TRUE
biocViews: aCGH, CopyNumberVariants, SNP, Microarray, OneChannel, TwoChannel, Genetics
URL: https://github.com/HenrikBengtsson/PSCBS
BugReports: https://github.com/HenrikBengtsson/PSCBS/issues

## r-cran-pscbs 0.61.0

=== debian/changelog ===
r-cran-pscbs (0.61.0-2) unstable; urgency=medium

  * Team upload
  * Fix test dependencies (thanks to Gordon Ball)

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jul 2016 21:27:09 +0200

r-cran-pscbs (0.61.0-1) unstable; urgency=medium

  * Initial release. (Closes: #828690)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 25 Jun 2016 13:58:30 -0700

=== debian/control ===
Source: r-cran-pscbs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-r.methodss3,
               r-cran-r.oo,
               r-cran-r.utils,
               r-cran-matrixstats,
               r-cran-r.cache,
               r-bioc-dnacopy,
               r-cran-future
Standards-Version: 3.9.8
Homepage: https://github.com/HenrikBengtsson/PSCBS
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-pscbs.git
Vcs-Git: https://anonscm.debian.org/debian-med/r-cran-pscbs.git

Package: r-cran-pscbs
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-cran-r.methodss3,
         r-cran-r.oo,
         r-cran-r.utils,
         r-cran-matrixstats,
         r-cran-r.cache,
         r-bioc-dnacopy,
         r-cran-future
Description: R package: Analysis of Parent-Specific DNA Copy Numbers
 Segmentation of allele-specific DNA copy number data and detection of regions
 with abnormal copy number within each parental chromosome. Both tumor-normal
 paired and tumoronly analyses are supported.

=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/HenrikBengtsson/PSCBS/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \

## r-cran-pscbs 0.62.0

=== debian/changelog ===
r-cran-pscbs (0.62.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Convert to dh-r
  * cme fix dpkg-control
  * Canonical homepage for CRAN
  * update d/copyright
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2016 18:02:48 +0100

=== debian/control ===
Source: r-cran-pscbs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-r.methodss3,
               r-cran-r.oo,
               r-cran-r.utils,
               r-cran-matrixstats,
               r-cran-r.cache,
               r-bioc-dnacopy,
               r-cran-future
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-pscbs.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-pscbs.git
Homepage: https://cran.r-project.org/package=PSCBS

Package: r-cran-pscbs
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package: Analysis of Parent-Specific DNA Copy Numbers
 Segmentation of allele-specific DNA copy number data and detection of regions
 with abnormal copy number within each parental chromosome. Both tumor-normal
 paired and tumoronly analyses are supported.

## r-cran-pscbs 0.63.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Package: PSCBS
-Version: 0.62.0
+Version: 0.63.0
 Depends:
-  R (>= 3.1.2),
+  R (>= 3.2.0),
   utils
 Imports:
   R.methodsS3 (>= 1.7.1),
   R.oo (>= 1.21.0),
   R.utils (>= 2.5.0),
   R.cache (>= 0.12.0),
-  matrixStats (>= 0.51.0),
-  DNAcopy (>= 1.40.0),
+  matrixStats (>= 0.52.2),
+  aroma.light (>= 2.4.0),
+  DNAcopy (>= 1.42.0),
   listenv (>= 0.6.0),
-  future (>= 1.1.1),
+  future (>= 1.5.0),
   parallel
 Suggests:
   Hmisc (>= 3.16-0),
-  R.rsp (>= 0.30.0),
-  R.devices (>= 2.15.0),
-  ggplot2 (>= 1.0.1),
-  aroma.light (>= 2.2.1)
+  R.rsp (>= 0.41.0),
+  R.devices (>= 2.15.1),
+  ggplot2 (>= 2.2.1)
 SuggestsNote:
-  BioC (>= 3.0),
+  BioC (>= 3.1),
   Recommended:
-  Hmisc,
-  aroma.light
+  Hmisc
 VignetteBuilder: R.rsp
-Date: 2016-11-10
+Date: 2017-06-27
 Title: Analysis of Parent-Specific DNA Copy Numbers
 Authors@R: c(
   person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
@@ -42,3 +41,4 @@
 biocViews: aCGH, CopyNumberVariants, SNP, Microarray, OneChannel, TwoChannel, Genetics
 URL: https://github.com/HenrikBengtsson/PSCBS
 BugReports: https://github.com/HenrikBengtsson/PSCBS/issues
+RoxygenNote: 6.0.1

=== debian/changelog ===
r-cran-pscbs (0.63.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.1
  * New Build-Depends: r-bioc-aroma.light

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 16:30:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3,
@@ -12,8 +12,9 @@
                r-cran-matrixstats,
                r-cran-r.cache,
                r-bioc-dnacopy,
+               r-bioc-aroma.light,
                r-cran-future
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-pscbs.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-pscbs.git
 Homepage: https://cran.r-project.org/package=PSCBS

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-bioc-aroma.light, r-cran-hmisc, r-cran-foreign, r-cran-nnet
Restrictions: allow-stderr

## r-cran-pscbs 0.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: PSCBS
-Version: 0.63.0
+Version: 0.64.0
 Depends:
   R (>= 3.2.0),
   utils
@@ -24,7 +24,6 @@
   Recommended:
   Hmisc
 VignetteBuilder: R.rsp
-Date: 2017-06-27
 Title: Analysis of Parent-Specific DNA Copy Numbers
 Authors@R: c(
   person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),

=== vignettes/Makefile ===
# MACRO DEFINITIONS
RM=rm -f
R=$(R_HOME)/bin/Rscript

# TARGET DEFINITIONS
all: vignettes tex index.html

# Build all vignettes that has a %\VignetteBuild{} markup
vignettes:
	"$(R)" -e "if (getRversion() < 3) R.rsp::buildNonSweaveVignettes()"
	"$(R)" -e "if (getRversion() >= 3) unlink('dummy.Rnw')"

# Compile any TeX files for which a PDF is missing
tex:
	"$(R)" -e "if (packageVersion('R.rsp') >= '0.9.1') R.rsp::buildNonSweaveTexToPdf()"

# Create an HTML vignette index page
index.html:
	"$(R)" -e "if (getRversion() < 3) R.rsp::buildPkgIndexHtml()"

# Certain LaTeX files (e.g. bib, bst, sty) must be part of the build 
# such that they are available for R CMD check.  These are excluded
# from the install using .Rinstignore in the top-level directory.
clean:
	$(RM) enginesMap.R
	$(RM) index.html.rsp
	$(RM) *.rsp.R
	$(RM) *.tex *.aux *.bbl *.blg *.log *.out *.sty *.toc
	$(RM) -r figures/
	$(RM) Makefile

=== debian/changelog ===
r-cran-pscbs (0.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Mon, 13 Aug 2018 10:04:34 +0200

r-cran-pscbs (0.63.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 07:37:02 +0200

=== debian/control ===
Source: r-cran-pscbs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-r.methodss3 (>= 1.7.1),
               r-cran-r.oo,
               r-cran-r.utils,
               r-cran-r.cache,
               r-cran-matrixstats (>= 0.52.2),
               r-bioc-aroma.light,
               r-bioc-dnacopy,
               r-cran-listenv,
               r-cran-future (>= 1.5.0)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pscbs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pscbs.git
Homepage: https://cran.r-project.org/package=PSCBS

Package: r-cran-pscbs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package: Analysis of Parent-Specific DNA Copy Numbers
 Segmentation of allele-specific DNA copy number data and detection of regions
 with abnormal copy number within each parental chromosome. Both tumor-normal
 paired and tumoronly analyses are supported.

=== debian/watch ===
version=4

https://github.com/HenrikBengtsson/PSCBS/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## r-cran-pscbs 0.65.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Package: PSCBS
-Version: 0.64.0
+Version: 0.65.0
 Depends:
   R (>= 3.2.0),
   utils
 Imports:
   R.methodsS3 (>= 1.7.1),
-  R.oo (>= 1.21.0),
-  R.utils (>= 2.5.0),
-  R.cache (>= 0.12.0),
-  matrixStats (>= 0.52.2),
+  R.oo (>= 1.22.0),
+  R.utils (>= 2.8.0),
+  R.cache (>= 0.13.0),
+  matrixStats (>= 0.54.0),
   aroma.light (>= 2.4.0),
   DNAcopy (>= 1.42.0),
-  listenv (>= 0.6.0),
-  future (>= 1.5.0),
+  listenv (>= 0.7.0),
+  future (>= 1.12.0),
   parallel
 Suggests:
-  Hmisc (>= 3.16-0),
-  R.rsp (>= 0.41.0),
-  R.devices (>= 2.15.1),
-  ggplot2 (>= 2.2.1)
+  Hmisc (>= 4.2-0),
+  R.rsp (>= 0.43.1),
+  R.devices (>= 2.16.0),
+  ggplot2 (>= 3.1.1)
 SuggestsNote:
   BioC (>= 3.1),
   Recommended:
@@ -40,4 +40,3 @@
 biocViews: aCGH, CopyNumberVariants, SNP, Microarray, OneChannel, TwoChannel, Genetics
 URL: https://github.com/HenrikBengtsson/PSCBS
 BugReports: https://github.com/HenrikBengtsson/PSCBS/issues
-RoxygenNote: 6.0.1

=== debian/changelog ===
r-cran-pscbs (0.65.0-3) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 11:36:12 +0200

r-cran-pscbs (0.65.0-2) unstable; urgency=medium

  * Team upload.
  * Switch d/watch to scan CRAN and not github.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Mar 2020 09:59:40 +0100

r-cran-pscbs (0.65.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 15:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1),
-               r-cran-r.oo,
-               r-cran-r.utils,
-               r-cran-r.cache,
-               r-cran-matrixstats (>= 0.52.2),
+               r-cran-r.oo (>= 1.22.0),
+               r-cran-r.utils (>= 2.8.0),
+               r-cran-r.cache (>= 0.13.0),
+               r-cran-matrixstats (>= 0.54.0),
                r-bioc-aroma.light,
                r-bioc-dnacopy,
-               r-cran-listenv,
-               r-cran-future (>= 1.5.0)
-Standards-Version: 4.2.0
+               r-cran-listenv (>= 0.7.0),
+               r-cran-future (>= 1.12.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pscbs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pscbs.git
 Homepage: https://cran.r-project.org/package=PSCBS
+Rules-Requires-Root: no
 
 Package: r-cran-pscbs
 Architecture: all
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-pscbs 0.66.0

=== DESCRIPTION ===
Package: PSCBS
Version: 0.66.0
Depends: R (>= 3.2.0)
Imports: R.methodsS3 (>= 1.8.1), R.oo (>= 1.24.0), R.utils (>= 2.11.0),
        R.cache (>= 0.15.0), matrixStats (>= 0.61.0), aroma.light (>=
        2.4.0), DNAcopy (>= 1.42.0), listenv (>= 0.8.0), future (>=
        1.22.1), parallel, graphics, grDevices, stats, utils
Suggests: Hmisc, R.rsp (>= 0.44.0), R.devices (>= 2.17.0), ggplot2 (>=
        3.2.1)
SuggestsNote: BioC (>= 3.1)
VignetteBuilder: R.rsp
Title: Analysis of Parent-Specific DNA Copy Numbers
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                 email="henrikb@braju.com"),
  person("Pierre", "Neuvial", role="aut"),
  person("Venkatraman E.", "Seshan", role="aut"),
  person("Adam B.", "Olshen", role="aut"),
  person("Paul T.", "Spellman", role="aut"),
  person("Richard A.", "Olshen", role="aut"),
  person("Frank E", "Harrell Jr", role="ctb",
         comment = "Weighted quantile estimator adopted from Hmisc::wtd.quantile()"))
Description: Segmentation of allele-specific DNA copy number data and detection of regions with abnormal copy number within each parental chromosome.  Both tumor-normal paired and tumor-only analyses are supported.
License: GPL (>= 2)
LazyLoad: TRUE
ByteCompile: TRUE
biocViews: aCGH, CopyNumberVariants, SNP, Microarray, OneChannel,
        TwoChannel, Genetics
URL: https://github.com/HenrikBengtsson/PSCBS
BugReports: https://github.com/HenrikBengtsson/PSCBS/issues
NeedsCompilation: no
Packaged: 2021-10-23 06:50:47 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph],
  Pierre Neuvial [aut],
  Venkatraman E. Seshan [aut],
  Adam B. Olshen [aut],
  Paul T. Spellman [aut],
  Richard A. Olshen [aut],
  Frank E Harrell Jr [ctb] (Weighted quantile estimator adopted from
    Hmisc::wtd.quantile())
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2021-10-23 07:40:02 UTC

=== debian/changelog ===
r-cran-pscbs (0.66.0-2) unstable; urgency=medium

  * Team upload.
  * [skip ci] Attempt ignoring one test on armhf
  * d/salsa-ci.yml: Disable reprotest
  * d/t/run-unit-test: Capture exit code properly, and exit
    with it if there is some problem, after printing Rout file

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 01:57:39 +0530

r-cran-pscbs (0.66.0-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

  [ Nilesh Patra ]
  * New upstream version 0.66.0
  * Run dh-update-R, cme

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Oct 2021 23:55:34 +0530

=== debian/control ===
Source: r-cran-pscbs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-r.methodss3 (>= 1.8.1),
               r-cran-r.oo (>= 1.24.0),
               r-cran-r.utils (>= 2.11.0),
               r-cran-r.cache (>= 0.15.0),
               r-cran-matrixstats (>= 0.61.0),
               r-bioc-aroma.light,
               r-bioc-dnacopy,
               r-cran-listenv (>= 0.8.0),
               r-cran-future (>= 1.22.1)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pscbs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pscbs.git
Homepage: https://cran.r-project.org/package=PSCBS
Rules-Requires-Root: no

Package: r-cran-pscbs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package: Analysis of Parent-Specific DNA Copy Numbers
 Segmentation of allele-specific DNA copy number data and detection of regions
 with abnormal copy number within each parental chromosome. Both tumor-normal
 paired and tumoronly analyses are supported.

## r-cran-pscbs 0.67.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Package: PSCBS
-Version: 0.66.0
+Version: 0.67.0
 Depends: R (>= 3.2.0)
-Imports: R.methodsS3 (>= 1.8.1), R.oo (>= 1.24.0), R.utils (>= 2.11.0),
-        R.cache (>= 0.15.0), matrixStats (>= 0.61.0), aroma.light (>=
+Imports: R.methodsS3 (>= 1.8.2), R.oo (>= 1.25.0), R.utils (>= 2.12.0),
+        R.cache (>= 0.16.0), matrixStats (>= 0.62.0), aroma.light (>=
         2.4.0), DNAcopy (>= 1.42.0), listenv (>= 0.8.0), future (>=
-        1.22.1), parallel, graphics, grDevices, stats, utils
-Suggests: Hmisc, R.rsp (>= 0.44.0), R.devices (>= 2.17.0), ggplot2 (>=
-        3.2.1)
+        1.28.0), parallel, graphics, grDevices, stats, utils
+Suggests: R.rsp (>= 0.45.0), R.devices (>= 2.17.1), ggplot2 (>= 3.2.1)
 SuggestsNote: BioC (>= 3.1)
 VignetteBuilder: R.rsp
 Title: Analysis of Parent-Specific DNA Copy Numbers
@@ -29,7 +28,7 @@
 URL: https://github.com/HenrikBengtsson/PSCBS
 BugReports: https://github.com/HenrikBengtsson/PSCBS/issues
 NeedsCompilation: no
-Packaged: 2021-10-23 06:50:47 UTC; hb
+Packaged: 2024-02-17 18:25:19 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [aut],
   Venkatraman E. Seshan [aut],
@@ -40,4 +39,4 @@
     Hmisc::wtd.quantile())
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2021-10-23 07:40:02 UTC
+Date/Publication: 2024-02-17 19:10:02 UTC

=== debian/changelog ===
r-cran-pscbs (0.67.0-3) unstable; urgency=medium

  * d/control: remove "Testsuite: autopkgtest-pkr-r"

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 22:41:00 +0200

r-cran-pscbs (0.67.0-2) unstable; urgency=medium

  * d/tests/control: add some minimum versions courtesy of dh-update-R
  * Skip autopkgtest if not all required packages are available (like on
    32-bit architectures)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 16:48:11 +0900

r-cran-pscbs (0.67.0-1) unstable; urgency=medium

  * d/control: fix my email address.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 16:15:51 +0100

=== debian/control ===
Source: r-cran-pscbs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-r.methodss3 (>= 1.8.2),
               r-cran-r.oo (>= 1.25.0),
               r-cran-r.utils (>= 2.12.0),
               r-cran-r.cache (>= 0.16.0),
               r-cran-matrixstats (>= 0.62.0),
               r-bioc-aroma.light,
               r-bioc-dnacopy,
               r-cran-listenv,
               r-cran-future (>= 1.28.0)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pscbs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pscbs.git
Homepage: https://cran.r-project.org/package=PSCBS
Rules-Requires-Root: no

Package: r-cran-pscbs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package: Analysis of Parent-Specific DNA Copy Numbers
 Segmentation of allele-specific DNA copy number data and detection of regions
 with abnormal copy number within each parental chromosome. Both tumor-normal
 paired and tumoronly analyses are supported.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-r.rsp (>= 0.45.0),
        r-cran-r.devices (>= 2.17.1),
        r-cran-ggplot2 (>= 3.2.1)
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/PSCBS_([-\d.]*)\.tar\.gz

## r-cran-pscbs 0.68.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: PSCBS
-Version: 0.67.0
+Version: 0.68.0
 Depends: R (>= 3.2.0)
 Imports: R.methodsS3 (>= 1.8.2), R.oo (>= 1.25.0), R.utils (>= 2.12.0),
         R.cache (>= 0.16.0), matrixStats (>= 0.62.0), aroma.light (>=
-        2.4.0), DNAcopy (>= 1.42.0), listenv (>= 0.8.0), future (>=
-        1.28.0), parallel, graphics, grDevices, stats, utils
+        2.4.0), DNAcopy (>= 1.42.0), future (>= 1.28.0), parallel,
+        graphics, grDevices, stats, utils
 Suggests: R.rsp (>= 0.45.0), R.devices (>= 2.17.1), ggplot2 (>= 3.2.1)
 SuggestsNote: BioC (>= 3.1)
 VignetteBuilder: R.rsp
@@ -28,7 +28,7 @@
 URL: https://github.com/HenrikBengtsson/PSCBS
 BugReports: https://github.com/HenrikBengtsson/PSCBS/issues
 NeedsCompilation: no
-Packaged: 2024-02-17 18:25:19 UTC; henrik
+Packaged: 2025-04-18 18:47:19 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [aut],
   Venkatraman E. Seshan [aut],
@@ -39,4 +39,4 @@
     Hmisc::wtd.quantile())
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2024-02-17 19:10:02 UTC
+Date/Publication: 2025-04-18 19:40:02 UTC

=== debian/changelog ===
r-cran-pscbs (0.68.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 29 Jan 2026 10:10:08 +0900

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: gnu-r
-Priority: optional
+Testsuite: autopkgtest-pkg-r
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3 (>= 1.8.2),
-               r-cran-r.oo (>= 1.25.0),
-               r-cran-r.utils (>= 2.12.0),
-               r-cran-r.cache (>= 0.16.0),
-               r-cran-matrixstats (>= 0.62.0),
+               r-cran-r.methodss3,
+               r-cran-r.oo,
+               r-cran-r.utils,
+               r-cran-r.cache,
+               r-cran-matrixstats,
                r-bioc-aroma.light,
                r-bioc-dnacopy,
-               r-cran-listenv,
-               r-cran-future (>= 1.28.0)
-Standards-Version: 4.6.2
+               r-cran-future,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pscbs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pscbs.git
 Homepage: https://cran.r-project.org/package=PSCBS
